: Class ActionFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.ui
Class ActionFactory

    java.lang.Object
      |
      +--grendel.ui.ActionFactory

public class ActionFactory
extends java.lang.Object

Constructor Summary
`ActionFactory()`

Method Summary
`static grendel.ui.ComposeMessageAction` | `GetComposeMessageAction()`
`static grendel.ui.ExitAction` | `GetExitAction()`
`static int` | `getIdent()`
`static grendel.ui.NewMailAction` | `GetNewMailAction()`
`static grendel.ui.PreferencesAction` | `GetPreferencesAction()`
`static grendel.ui.RunFiltersAction` | `GetRunFiltersAction()`
`static grendel.ui.RunGeneralPrefsAction` | `GetRunGeneralPrefsAction()`
`static grendel.ui.RunIdentityPrefsAction` | `GetRunIdentityPrefsAction()`
`static grendel.ui.RunServerPrefsAction` | `GetRunServerPrefsAction()`
`static grendel.ui.RunUIPrefsAction` | `GetRunUIPrefsAction()`
`static grendel.ui.SearchAction` | `GetSearchAction()`
`static grendel.ui.ShowTooltipsAction` | `GetShowTooltipsAction()`
`static void` | `SetComposeMessageThread(java.lang.Runnable aThread)`
`static void` | `setIdent(int aIdent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionFactory

    public ActionFactory()

Method Detail

### GetExitAction

    public static grendel.ui.ExitAction GetExitAction()

### GetNewMailAction

    public static grendel.ui.NewMailAction GetNewMailAction()

### GetComposeMessageAction

    public static grendel.ui.ComposeMessageAction GetComposeMessageAction()

### SetComposeMessageThread

    public static void SetComposeMessageThread(java.lang.Runnable aThread)

### setIdent

    public static void setIdent(int aIdent)

### getIdent

    public static int getIdent()

### GetPreferencesAction

    public static grendel.ui.PreferencesAction GetPreferencesAction()

### GetSearchAction

    public static grendel.ui.SearchAction GetSearchAction()

### GetRunFiltersAction

    public static grendel.ui.RunFiltersAction GetRunFiltersAction()

### GetShowTooltipsAction

    public static grendel.ui.ShowTooltipsAction GetShowTooltipsAction()

### GetRunIdentityPrefsAction

    public static grendel.ui.RunIdentityPrefsAction GetRunIdentityPrefsAction()

### GetRunServerPrefsAction

    public static grendel.ui.RunServerPrefsAction GetRunServerPrefsAction()

### GetRunGeneralPrefsAction

    public static grendel.ui.RunGeneralPrefsAction GetRunGeneralPrefsAction()

### GetRunUIPrefsAction

    public static grendel.ui.RunUIPrefsAction GetRunUIPrefsAction()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD